## visad.data.hdfeos
Class Variable

    java.lang.Object
      visad.data.hdfeos.Variable

public class Variable
extends Object

Field Summary
`(package private) Calibration` `calibration`
`(package private) boolean` `coordVar`
`(package private) DimensionSet` `dimSet`
`(package private) String` `name`
`(package private) int` `rank`
`(package private) int` `type`

Constructor Summary
`(package private)` `Variable(String name, DimensionSet dimSet, int rank, int type, Calibration calibration)`

Method Summary
`boolean` `equals(Variable obj)`
`Calibration` `getCalibration()`
`NamedDimension` `getDim(int ii)`
`DimensionSet` `getDimSet()`
`String` `getName()`
`int` `getNumberType()`
`int` `getRank()`
`boolean` `isCoordVar()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    String name

### rank

    int rank

### type

    int type

### dimSet

    DimensionSet dimSet

### calibration

    Calibration calibration

### coordVar

    boolean coordVar

Constructor Detail

### Variable

    Variable(String name,
             DimensionSet dimSet,
             int rank,
             int type,
             Calibration calibration)
       throws HdfeosException

Method Detail

### getName

    public String getName()

### getRank

    public int getRank()

### getCalibration

    public Calibration getCalibration()

### equals

    public boolean equals(Variable obj)

### getDimSet

    public DimensionSet getDimSet()

### getDim

    public NamedDimension getDim(int ii)

### getNumberType

    public int getNumberType()

### isCoordVar

    public boolean isCoordVar()

### toString

    public String toString()